CHPASSWD(8)

NAME
chpasswd - aktualisiert Passwörter im Batch-Modus

ÜBERSICHT

chpasswd [Optionen]

BESCHREIBUNG

The chpasswd command reads a list of user name and password pairs from standard input and uses this information to update a group of existing users. Each line is of the format:

user_name:password

By default the passwords must be supplied in clear-text, and are encrypted by chpasswd. Also the password age will be updated, if present.

By default, passwords are encrypted by PAM, but (even if not recommended) you can select a different encryption method with the -e, -m, or -c options.

Except when PAM is used to encrypt the passwords, chpasswd first updates all the passwords in memory, and then commits all the changes to disk if no errors occurred for any user.

When PAM is used to encrypt the passwords (and update the passwords in the system database) then if a password cannot be updated chpasswd continues updating the passwords of the next users, and will return an error code on exit.

Dieser Befehl ist für den Einsatz in großen Umgebungen vorgesehen, in der viele Konten gleichzeitig erstellt werden müssen.

OPTIONEN

The options which apply to the chpasswd command are:

-c, --crypt-method METHOD
    Definiert die Methode, mit der die Passwörter verschlüsselt werden.

    Die verfügbaren Methoden sind DES, MD5, NONE und SHA256 oder SHA512, soweit Ihre libc sie unterstützt.

    Standardmäßig verschlüsselt PAM die Passwörter.

-e, --encrypted
    Passwörter werden verschlüsselt angegeben.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-m, --md5
    werwendet zur Verschlüsselung MD5 anstelle von DES, wenn die Passwörter unverschlüsselt angegeben werden

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sha-rounds ROUNDS
    Verwendet die angegebene Anzahl von Runden, um die Passwörter zu verschlüsseln.

    Ein Wert von 0 bedeutet, dass das System die Standardanzahl der Runden (5000) für die Verschlüsselung verwenden wird.

    Der Mindestwert ist 1000, der Höchstwert 999.999.999.

    Sie können diese Option nur mit den Verschlüsselungsmethoden SHA256 und SHA512 verwenden.

    By default, the number of rounds is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

WARNUNGEN

Achten Sie darauf, dass die Rechte und Umask korrekt vergeben sind, um zu verhindern, dass andere Benutzer unverschlüsselte Dateien lesen können.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

/etc/pam.d/chpasswd
    PAM configuration for chpasswd.

SIEHE AUCH

passwd(1), newusers(8), login.defs(5), useradd(8).